Subject: bug#20285: 25.0.50; blink-cursor-mode sometimes stops blinking

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Apr 2015 09:25:39 +0300

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 10 Apr 2015 22:52:12 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > Maybe we should have a mechanism to force redisplay once in a while
> >> > even if Emacs has something to do, and blink-cursor-mode could then
> >> > activate that mechanism.
> >> 
> >> I can't read your brain but wouldn't it be possible (but unlikely)
> >> that this mechanism always forces a redisplay when the cursor is in
> >> the invisible state?
> >
> > Not if the time interval is chosen as to make the probability of this
> > low enough.
> 
> Yes, but what if different things request different redisplay intervals?
> E.g., `blink-cursor-mode' requests an interval of 1.25, and some other
> thing requests an interval of 1.0?  1.0 is a bad interval for b-c-m's
> sake, so that mechanism can't just use the shortest interval.

Yes, the shortest interval is indeed not the best policy.  But it's
not the only one that we could use, I think.